/*
 *  lttimer.c
 *  lt
 *
 *  Created by Steven B. Smith on 11/6/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

//(EENS)
#include "lttimer.h"

void lttimer( void* dataRef, float timerDuration )
{
	pData data = (pData) dataRef;
	
	float currentWait = 0;
	
	time_t end;
	time_t start = clock();
	
	while( currentWait < timerDuration )//control sits in loop until (timeDuration)
	{									//seconds has expired.
		end = clock();
		currentWait = ((float)(end - start)) / CLOCKS_PER_SEC;
	}
}