/*
 *  ltosx.h
 *  lt
 *
 *  Created by Shane Saxon on 4/4/05.
 *  Copyright 2005-2006 Shane Saxon. All rights reserved.
 *
 */

#ifndef _ltosx_h_
#define _ltosx_h_

int ConverterMain();

int InitNib();									//start nib, no windows open
int InitEvents(void* data);							//creates timer loop and event handlers
void InitThreads(void* data);				//calls MakeThread, need to add a list using data, debug

void MoveCursorToMotorsButton (void* data);

	//used to create new threads
	//passed a function to be called from the thread task and a pointer to data
int MakeThread(int (*pFunction) (void*), void* data);

int ThreadCurrentID();
int ThreadKillThread(int threadID);
void ThreadLockCurrentID(int locked);

int StopThread(int threadID);

int CloseThreads(void* data);
void CloseEvents(void* data);							//remove event loop timer on exit
void CloseNib(void* data);								//dispose the nib reference on exit

#endif